#!/bin/bash
set +xe

mkdir -p /etc/borg

export BORG_RSH="ssh -o UserKnownHostsFile=/etc/borg/persistent/known_hosts -i /etc/borg/id_rsa"

echo "export PGUSER=\"${DB_USER}\"" >> /etc/borg/.env
echo "export PGHOST=\"${DB_HOST}\"" >> /etc/borg/.env
echo "export PGPASSWORD=\"${DB_PASSWORD}\"" >> /etc/borg/.env
echo "export PGDATABASE=\"${DB_NAME}\"" >> /etc/borg/.env

echo "export BORG_PASSPHRASE=\"${BORG_PASSPHRASE}\"" >> /etc/borg/.env
echo "export BORG_REPO=\"${BORG_REPO}\"" >> /etc/borg/.env
echo "export BORG_RSH=\"${BORG_RSH}\"" >> /etc/borg/.env
echo "export PRUNE_ARGS=\"${PRUNE_ARGS}\"" >> /etc/borg/.env

echo "${SSH_ID}" | sed -e 's/\\n/\n/g' > /etc/borg/id_rsa
chmod 400 /etc/borg/id_rsa

if ! borg info &> /dev/null; then
  echo "Repository not ready. Please run:"
  echo "  docker-compose exec backup /usr/local/bin/init_repo.sh"

  while ! borg info &> /dev/null; do
    sleep 10;
  done

  echo " ... ready"
fi

touch /var/log/borg
echo "${CRON_PATTERN} root /usr/local/bin/do_backup.sh 2>> /var/log/borg"  >> /etc/crontab

crond
exec "$@"

